Bug 235999 - Wrong init script
Summary: Wrong init script
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anacron (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks: 237789 236018 236019
TreeView+ depends on / blocked
 
Reported: 2007-04-11 13:02 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 09:17:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-04-11 13:02:13 UTC
Description of problem:
initscript of anacron ends if /usr/sbin/anacron does not exist with exit code 0.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. mv /usr/sbin/anacron /usr/sbin/anacron.gotcha
2. service anacron start
3. echo $?
  
Actual results:
0

Expected results:
non-zero error code

Additional info:
There are several more bugs in init script, namely the status command should
always run irrespectible of lack of binary/conf file... For our initscript
guidelines watch
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

Comment 1 Marcela Mašláňová 2007-09-25 09:17:03 UTC
This problem is resolved in the next release of Red Hat Enterprise Linux. Red
Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.


Note You need to log in before you can comment on or make changes to this bug.